<? wp_enqueue_script('sber_id_sdk.js', plugins_url('/sber-id/js/sber_id_sdk.js')); ?>

<?php
  if($options['button_size'] == 'MEDIUM') {
    $button_size = 'default';
  }
  else if($options['button_size'] == 'SMALL') {
    $button_size = 'small';
  } 
  else if($options['button_size'] == 'LARGE') {
    $button_size = 'long';
  }

  $button_type = 'default';

  if($options['button_style'] == 'FLAT') {
    $button_theme = 'default';
  }
  else if($options['button_style'] == 'BORDER') {
    $button_theme = 'white';
  }
?>

<script>

  document.addEventListener("DOMContentLoaded", function() {
    (function () {
      jQuery('#loginform').after('<div class="sber-id-container" style="margin-left:24px; margin-top:12px;"></div>')
      const oidcParams = {
        response_type: 'code',
        client_type: 'PRIVATE',
        client_id: '<?=$sberbank_auth_params['client_id'];?>',
        redirect_uri: '<?=$sberbank_auth_params['redirect_uri'];?>',
        scope: '<?=str_replace('+', ' ', $sberbank_auth_params['scope']);?>',
        nonce: '<?=$sberbank_auth_params['nonce'];?>',
        state: '<?=$sberbank_auth_params['state'];?>',
      };
      const sa = {
        enable: true,
        init: 'auto',
        clientId: '<?=$sberbank_auth_params['client_id'];?>',
      };
       
      let params = {
        baseUrl: 'https://online.sberbank.ru',
        oidc: oidcParams,
        container: '.sber-id-container',
        display: 'desktop',
        generateState: true,
        onSuccessCallback,
        onErrorCallback,
        sa: sa,
        notification: {
          enable: true,
          onNotificationBannerClose: () => {
              console.log('Баннер закрыт');
          },
          onNotificationBannerOpen: () => {
              console.log('Баннер открыт');
          },
          animation: true,
          position: 'right',
        },
      }

      <?php if($options['button_fast'] === 'on') {?>
        params.fastLogin = {
          enable: true,
          timeout: 1000,
          mode: 'default',
        };
       <?php } ?>

      <?php if($options['button_personal'] === 'on') {?>
        params.personalization = true;
        params.changeUser = true;
      <?php } ?>

      <?php if($options['web_to_app'] === 'on') {?>
        params.mweb2app = true;
      <?php } ?>

      function onSuccessCallback(result) {
        const params = {
          nonce: oidcParams.nonce,
          code: result.code
        }
        fetch('<?=$sberbank_auth_params['redirect_uri_base'];?>&fast_login=1&' + new URLSearchParams(params)).then(function (response) {
          return response.json();
        }).then(function (params) {
            console.log(params)
          if(params.auth_status == 1) {
            window.location.href="/";            
          } else if(params.auth_status == 'login') {
            window.location.href = "<?=$sberbank_auth_params['redirect_uri_base'];?>&login_form=1";
          } else if(params.auth_status == 'email') {
            window.location.href = "<?=$sberbank_auth_params['redirect_uri_base'];?>&email_form=1";
          } else {
            console.log('cms: auth error')
            alert('cms: auth error')
          }
        });
      }
      function onErrorCallback(result) {
        alert('Что-то пошло не так. обратитесь к администратору.')
      }
      var sbSDK = new SberidSDK(params, onSuccessCallback, onErrorCallback);
    }());
})
  

</script>
<style>
:root{
    --sbid-bg-color:#21a038;
    --sbid-bg-color-hover:#1a802d;
    --sbid-bg-color-active:#156624;
    --sbid-brd-width:1px;
    --sbid-brd-style:solid;
    --sbid-brd-radius:4px;
    --sbid-brd-color:#21a038;
    --sbid-brd-color-hover:#1a802d;
    --sbid-brd-color-active:#156624;
    --sbid-text-color:#fff;
    --sbid-fill-color:#fff;
    --sbid-font-family:"SB Sans","Roboto","San Francisco",sans-serif;
    --sbid-font-weight:400;
    --sbid-padding:14px 39px;
    --sbid-font-size:14px;
    --sbid-line-height:18px;
    --sbid-height:48px;
    --sbid-button-display:inline-flex;
    --sbid-logo-size:22px
}
<? if($button_theme == 'white') { ?>
:root{--sbid-bg-color:#fff;--sbid-bg-color-hover:#fff;--sbid-bg-color-active:#e5e5e5;--sbid-brd-width:1px;--sbid-brd-style:solid;--sbid-brd-radius:4px;--sbid-brd-color:#767676;--sbid-brd-color-hover:#21a038;--sbid-brd-color-active:#21a038;--sbid-text-color:#000;--sbid-fill-color:#21a038;--sbid-font-family:"SB Sans","Roboto","San Francisco",sans-serif;--sbid-font-size:14px;--sbid-font-weight:400}
<? } ?>
<? if($button_size == 'small') { ?>
  :root{--sbid-padding:5px 39px;--sbid-font-size:14px;--sbid-line-height:16px;--sbid-height:28px;--sbid-button-display:inline-flex;--sbid-logo-size:16px}
<? } ?>

<? if($button_size == 'long') { ?>
  :root{--sbid-padding:17px 39px;--sbid-font-size:16px;--sbid-line-height:20px;--sbid-height:56px;--sbid-button-display:inline-flex;--sbid-logo-size:26px}
<? } ?>
:root{
    --sbid-mobile-width:768px
}
@font-face{
    font-display:swap;
    font-family:SB Sans;
    font-style:normal;
    font-weight:400;
    src:url(/wp-content/plugins/sber-id/fonts/e8d9ecc3.eot);
    src:url(/wp-content/plugins/sber-id/fonts/e8d9ecc3.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/22e87e1f.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/f3da03ca.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/1a5d29b2.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/1211ddef.svg#SBSansInterface-Regular) format("svg")
}
@font-face{
    font-display:swap;
    font-family:SB Sans;
    font-style:normal;
    font-weight:700;
    src:url(/wp-content/plugins/sber-id/fonts/75bbe5ee.eot);
    src:url(/wp-content/plugins/sber-id/fonts/75bbe5ee.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/a1cf4b65.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/3fdc4462.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/a630f33.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/8c0a7f12.svg#SBSansInterface-Bold) format("svg")
}
@font-face{
    font-display:swap;
    font-family:SB Sans;
    font-style:normal;
    font-weight:300;
    src:url(/wp-content/plugins/sber-id/fonts/76eb5532.eot);
    src:url(/wp-content/plugins/sber-id/fonts/76eb5532.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/dc5b2937.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/a67bfa7e.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/c058370f.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/fa9e63f3.svg#SBSansInterface-Light) format("svg")
}
@font-face{
    font-display:swap;
    font-family:SB Sans;
    font-style:normal;
    font-weight:600;
    src:url(/wp-content/plugins/sber-id/fonts/23876c35.eot);
    src:url(/wp-content/plugins/sber-id/fonts/23876c35.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/333d082f.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/c28d612b.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/f487fa93.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/f0df970d.svg#SBSansInterface-Semibold) format("svg")
}


body .sbid-notification-banner{
    background:#fff;
    border:1px solid #e3e3e3;
    border-radius:5px;
    box-shadow:0 10px 24px rgba(45,73,88,.15);
    box-sizing:border-box;
    display:none;
    flex-direction:column;
    font-family:SB Sans,Roboto,sans-serif;
    min-width:320px;
    opacity:0;
    padding:20px;
    position:fixed;
    width:auto
}
@media (max-width:var(--sbid-mobile-width )){
    body .sbid-notification-banner{
        border-radius:0;
        bottom:0;
        left:0;
        right:0;
        top:0;
        width:100%
    }
}
body .sbid-notification-banner__label{
    color:#767676;
    font-size:15px;
    font-weight:600;
    line-height:18px;
    margin-bottom:16px
}
body .sbid-notification-banner__close{
    color:#767676;
    cursor:pointer;
    display:flex;
    font-size:0;
    line-height:12px;
    padding:10px;
    position:absolute;
    right:10px;
    top:10px
}
body .sbid-notification-banner--show{
    display:flex
}
body .sbid-check-button-container{
    left:-9999px;
    position:fixed
}
body .sbid-button{
    fill:#fff;
    fill:var(--sbid-fill-color);
    align-items:center;
    background-color:#21a038;
    background-color:var(--sbid-bg-color);
    border:1px solid #21a038;
    border-radius:4px;
    border-radius:var(--sbid-brd-radius);
    border-style:var(--sbid-brd-style);
    color:#fff !important;
    color:var(--sbid-text-color) !important;
    cursor:pointer;
    display:inline-flex;
    display:var(--sbid-button-display);
    font-size:14px;
    font-size:var(--sbid-font-size);
    height:48px;
    height:var(--sbid-height);
    justify-content:center;
    line-height:18px;
    line-height:var(--sbid-line-height);
    max-height:64px;
    min-height:28px;
    padding:14px 39px;
    padding:var(--sbid-padding);
    position:relative;
    text-decoration:none;
    box-sizing: border-box;
}
body .sbid-button:focus,body .sbid-button:hover{
    background-color:#1a802d !important;
    background-color:var(--sbid-bg-color-hover) !important;
    border-color:#1a802d !important;
    border-color:var(--sbid-brd-color-hover) !important;
}
body .sbid-button:active{
    background-color:#156624 !important;
    background-color:var(--sbid-bg-color-active) !important;
    border-color:#156624 !important;
    border-color:var(--sbid-brd-color-active) !important;
}
body .sbid-button[disabled=disabled]{
    cursor:not-allowed
}
body .sbid-button__logo{
    height:22px;
    height:var(--sbid-logo-size);
    min-height:22px;
    min-height:var(--sbid-logo-size);
    min-width:22px;
    min-width:var(--sbid-logo-size);
    width:22px;
    width:var(--sbid-logo-size)
}
body .sbid-button__logo svg{
    height:100%;
    width:100%
}
body .sbid-button__logo + .sbid-button__text{
    margin-left:8px
}
body .sbid-button__text{
    font-family:SB Sans,Roboto,San Francisco,sans-serif;
    font-family:var(--sbid-font-family);
    font-size:14px;
    font-size:var(--sbid-font-size);
    font-weight:400;
    font-weight:var(--sbid-font-weight);
    text-decoration:none
}
body .sbid-button-loader{
    align-items:center;
    background-color:#21a038;
    background-color:var(--sbid-bg-color);
    border-radius:4px;
    border-radius:var(--sbid-brd-radius);
    display:none;
    height:100%;
    justify-content:center;
    position:absolute;
    width:100%
}
body .sbid-button-loader svg{
    height:60%;
    max-height:36px;
    min-height:22px
}
body .sbid-button-loader--show{
    display:flex
}
body .sbid-button-change-user{
    align-items:center;
    border-radius:0 4px 4px 0;
    border-radius:0 var(--sbid-brd-radius) var(--sbid-brd-radius) 0;
    display:none;
    height:100%;
    height:calc(100% + 2px);
    height:calc(100% + var(--sbid-brd-width)*2);
    justify-content:center;
    max-width:32px;
    position:absolute;
    right:-1px;
    right:calc(var(--sbid-brd-width)*-1);
    top:-1px;
    top:calc(var(--sbid-brd-width)*-1);
    width:26px;
    
}
body .sbid-button-change-user:hover{
    background-color:rgba(0,0,0,.15)
}
body .sbid-button-change-user > svg,body .sbid-button-change-user > svg > * {
    fill: var(--sbid-fill-color);
}
body .sbid-button-change-user__popup{
    background:#fff;
    border-radius:10px;
    box-shadow:0 12px 24px rgba(45,73,88,.15);
    color:#000014;
    display:none;
    font-size:15px;
    font-weight:700;
    line-height:27px;
    padding:15px 30px;
    position:absolute;
    top:calc(100% - 10px);
    white-space:nowrap;
    z-index:1
}
body .sbid-notification-banner .sbid-button-change-user__popup{
    bottom:calc(100% - 10px);
    right:0;
    top:auto
}
body .sbid-button-change-user__popup--mobile{
    bottom:calc(100% - 10px);
    right:0
}
body .sbid-button-change-user[data-stage=popup] .sbid-button-change-user__popup{
    display:block
}
body .sbid-button[data-personalization=true] .sbid-button-change-user{
    display:flex
}
body .sbid-button .sbid-button__logo svg{
    fill:#fff;
    fill:var(--sbid-fill-color)
}

</style>