<div class="wrap">
  <div id="icon-options-general" class="icon32"><br></div>
  <h2>Сбер ID Настройки</h2>
  <form method="POST" action="/wp-admin/admin.php?page=sberbank_id" enctype="multipart/form-data" class="sberbank_id_form">
    <? settings_fields( 'sberbank_id_options' ); ?>
    <table class="form-table">
      <tbody>
       
        
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="woocommerce_rbspayment_ab_enabled">Включить/Выключить </label>
          </th>
          <td class="forminp">
            <input type="hidden" value="off" name="sberbank_id[enabled]" value="off">
            <fieldset>
              <legend class="screen-reader-text"><span>Включить/Выключить</span></legend>
              <label for="woocommerce_rbspayment_ab_enabled">
              <input class="" type="checkbox" name="sberbank_id[enabled]"  style="" <? if ($options['enabled'] == 'on') echo 'checked="checked"' ?>> Включен</label><br>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc" colspan="2">
            <h3>Основные настройки</h3>
          </th>
        </tr>
        <tr valign="top">
          <th colspan="2" class="titledesc" style="padding-top: 0;">
            <div class="update-nag" style="margin-top:0;">Для получения <b>Client ID</b> и <b>Client secret</b> необходимо заключить договор на Сбер ID. Для заключения договора 
              <a target="_blank" href="https://www.sberbank.ru/ru/person/dist_services/sberbankid/forbusiness">оставьте заявку</a>.
            </div>
          </th>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Client ID</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input class="sberbank_id_field" type="text" name="sberbank_id[client_id]" value="<?= esc_attr($options['client_id']); ?>" placeholder="">
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Client Secret</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input class="sberbank_id_field" type="password" name="sberbank_id[client_secret]" value="<?= esc_attr($options['client_secret']); ?>">
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc" colspan="2">
            <h3>Настройки сертификата</h3>
          </th>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Файл сертификата</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input class="sberbank_id_field" type="file" name="sertificate">
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Пароль от сертификата</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input class="sberbank_id_field" type="password" name="sberbank_id[sert_password]" value="<?= esc_attr($options['sert_password']); ?>">
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc" colspan="2">
            <h3>Настройки персонализированной кнопки</h3>
          </th>
        </tr>
        <tr valign="top">
          <th colspan="2" class="titledesc" style="padding-top: 0;margin-bottom:0">
            <div class="update-nag" style="margin-top:0; padding-top:0">
              «Данная настройка позволяет включить персонализированную кнопку, она даёт возможность сделать вход для пользователя более привычным и,
              в среднем, увеличивает конверсию входа в полтора раза. Быстрый вход позволит клиентам, если они ранее давали согласие для вашего сервиса, входить по одному клику.
              <strong>Для включения персонализированной кнопки и быстрого входа Вам нужно добавить домен в список доверенных, напишите нам письмо на почту</strong>
              <a href="mailto:support@ecom.sberbank.ru">support@ecom.sberbank.ru</a> и мы сделаем нужные настройки»
            </div>
          </th>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Персонализированная кнопка</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input type="hidden" value="off" name="sberbank_id[button_personal]">
              <label for=""><input class="sberbank_id_field" type="checkbox" name="sberbank_id[button_personal]" <? if ($options['button_personal'] == 'on') echo 'checked="checked"' ?>></label>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Быстрый вход</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input type="hidden" value="off" name="sberbank_id[button_fast]">
              <label for=""><input class="sberbank_id_field" type="checkbox" name="sberbank_id[button_fast]" <? if ($options['button_fast'] == 'on') echo 'checked="checked"' ?>></label>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc" colspan="2">
            <h3>Дополнительньные настройки</h3>
          </th>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Версия API</label>
          </th>
          <td class="forminp">
            <fieldset>
              <select class="sberbank_id_field " type="text" name="sberbank_id[api_version]">
                <option value="2.1.0" <?=  $options['api_version'] == '2.1.0' ? 'selected="selected"' : '' ?>>2.1.0</option>
                <option value="3.0.0" <?=  $options['api_version'] == '3.0.0' ? 'selected="selected"' : '' ?>>3.0.0</option>
              </select>
            </fieldset>
          </td>
        </tr>
        <tr valign="top" style="display: none;">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">PKCE</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input type="hidden" value="off" name="sberbank_id[pkce]">
              <label for=""><input class="sberbank_id_field" type="checkbox" name="sberbank_id[pkce]" <? if ($options['pkce'] == 'on') echo 'checked="checked"' ?>></label>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">mWeb2App</label>
          </th>
          <td class="forminp">
            <fieldset>
              <input type="hidden" value="off" name="sberbank_id[web_to_app]">
              <label for=""><input class="sberbank_id_field" type="checkbox" name="sberbank_id[web_to_app]" <? if ($options['web_to_app'] == 'on') echo 'checked="checked"' ?>></label>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Поля (Scope)</label>
          </th>
          <td class="forminp">
            <input type="hidden" value="off" name="sberbank_id[scopes][phone]" value="off">
            <fieldset>
              <label><input class="sberbank_id_field" checked="checked" type="checkbox" disabled="disabled" name=""> Фамилия, имя, отчество</label><br>
              <label><input class="sberbank_id_field" checked="checked" type="checkbox" disabled="disabled" name=""> Адрес электронной почты</label><br>
              <label><input class="sberbank_id_field" type="checkbox" name="sberbank_id[scopes][phone]" <? if ($options['scopes']['phone'] == 'on') echo 'checked="checked"' ?>> Номер мобильного телефона</label><br>
              <input type="hidden" name="sberbank_id[scopes][name]" value="on">
              <input type="hidden" name="sberbank_id[scopes][email]" value="on">
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc" colspan="2">
            <h3>Настройка внешнего вида кнопки авторизации</h3>
          </th>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">размер кнопки</label>
          </th>
          <td class="forminp">
            <fieldset>
              <select class="sberbank_id_field  button-style-changer" type="text" name="sberbank_id[button_size]" onclick="changeStyleButton()">
                <option value="SMALL" <?=  $options['button_size'] == 'SMALL' ? 'selected="selected"' : '' ?>>Маленькая</option>
                <option value="MEDIUM" <?=  $options['button_size'] == 'MEDIUM' ? 'selected="selected"' : '' ?>>Средняя</option>
                <option value="LARGE" <?=  $options['button_size'] == 'LARGE' ? 'selected="selected"' : '' ?>>Большая</option>
              </select>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Форма кнопки</label>
          </th>
          <td class="forminp">
            <fieldset>
              <select class="sberbank_id_field  button-style-changer" type="text" name="sberbank_id[button_form]" onclick="changeStyleButton()">
                <option value="BOX" <?=  $options['button_form'] == 'BOX' ? 'selected="selected"' : '' ?>>Прямоугольная</option>
              </select>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc">
            <label for="sberbank_id__label">Тема</label>
          </th>
          <td class="forminp">
            <fieldset>
              <select class="sberbank_id_field  button-style-changer" type="text" name="sberbank_id[button_style]" onclick="changeStyleButton()">
                <option value="FLAT" <?=  $options['button_style'] == 'FLAT' ? 'selected="selected"' : '' ?>>Зеленая</option>
                <option value="BORDER" <?=  $options['button_style'] == 'BORDER' ? 'selected="selected"' : '' ?>>Белая</option>
              </select>
            </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row" class="titledesc" colspan="2">
            <h3>Пример отображения кнопки авторизации</h3>
            <div class="sberbank_button_block">
              <span class="sberbank_button">
              <span class="sberbank_button-logo"></span>
              Войти по Сбер ID
              </span>
            </div>
          </th>
        </tr>
      </tbody>
    </table>
    <?
      submit_button();
    ?>
  </form>
</div>
<style>
  .sberbank_id_field {
  width: 420px;
  height: 42px;
  font-size: 14px;
  max-width: 100%;
  }
  .sberbank_id_form .button  {
  width: 400px;
  height: 40px;
  max-width: 100%;
  }
</style>
<script>
  function changeStyleButton() {
  var selects = document.getElementsByClassName("button-style-changer");
  var element = document.getElementsByClassName("sberbank_button")[0];
  element.className = 'sberbank_button';
  for (var i = selects.length - 1; i >= 0; i--) {
  element.classList.add(selects[i].value);
  }
  }
  changeStyleButton();
  
</script>
<style>
  @font-face{
      font-display:swap;
      font-family:SB Sans;
      font-style:normal;
      font-weight:400;
      src:url(/wp-content/plugins/sber-id/fonts/e8d9ecc3.eot);
      src:url(/wp-content/plugins/sber-id/fonts/e8d9ecc3.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/22e87e1f.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/f3da03ca.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/1a5d29b2.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/1211ddef.svg#SBSansInterface-Regular) format("svg")
  }
  @font-face{
      font-display:swap;
      font-family:SB Sans;
      font-style:normal;
      font-weight:700;
      src:url(/wp-content/plugins/sber-id/fonts/75bbe5ee.eot);
      src:url(/wp-content/plugins/sber-id/fonts/75bbe5ee.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/a1cf4b65.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/3fdc4462.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/a630f33.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/8c0a7f12.svg#SBSansInterface-Bold) format("svg")
  }
  @font-face{
      font-display:swap;
      font-family:SB Sans;
      font-style:normal;
      font-weight:300;
      src:url(/wp-content/plugins/sber-id/fonts/76eb5532.eot);
      src:url(/wp-content/plugins/sber-id/fonts/76eb5532.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/dc5b2937.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/a67bfa7e.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/c058370f.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/fa9e63f3.svg#SBSansInterface-Light) format("svg")
  }
  @font-face{
      font-display:swap;
      font-family:SB Sans;
      font-style:normal;
      font-weight:600;
      src:url(/wp-content/plugins/sber-id/fonts/23876c35.eot);
      src:url(/wp-content/plugins/sber-id/fonts/23876c35.eot?#iefix) format("embedded-opentype"),url(/wp-content/plugins/sber-id/fonts/333d082f.woff2) format("woff2"),url(/wp-content/plugins/sber-id/fonts/c28d612b.woff) format("woff"),url(/wp-content/plugins/sber-id/fonts/f487fa93.ttf) format("truetype"),url(/wp-content/plugins/sber-id/fonts/f0df970d.svg#SBSansInterface-Semibold) format("svg")
  }
  .file_uploaded {
      display: inline-block;
      padding: 6px 0 0 10px;
      color: #0e8f18;
  }
  .file_uploaded.file {
    color: red;
  }
  .sberbank_button {
    display: flex;
      /*width: 200px;*/
      height: 48px;
      color: #fff;
      font-size: 14px;
      border: 1px solid #21a038;
      border-radius: 4px;
      align-items: center;
      align-content: center;
      justify-content: flex-start;
      line-height: 17px;
      outline: none;
      background: #21a038;
      box-sizing: border-box;
      max-width: 100%;
      text-align: center;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      font-family: "SB Sans","Roboto","San Francisco",sans-serif;
  }
  .sberbank_button.FLAT {}
  .sberbank_button.BORDER {
    background: #fff;
    color: #000;
    border:1px solid #767676;
  }

  .sberbank_button.SMALL {
    width: auto;
    padding: 5px 39px;
    height: 28px;
  }
  .sberbank_button.MEDIUM {
    padding: 0 20px;
    width: auto;
  }
  .sberbank_button.LARGE {
    padding: 14px 39px;
    height: 48px;
  }
  .sberbank_button-logo {
    width: 40px;
    height: 40px;
   background-image: url(<?php echo plugins_url('/sber-id/img/sberbank_oauth_logo_1.png');?>);
      background-position: center;
      background-repeat: no-repeat;
      background-size: 24px;
  }
  .sberbank_button.SMALL .sberbank_button-logo {
    width: 16px;
    height: 16px;
    background-size: 16px;
    margin-right: 8px;
  }
  .sberbank_button.MEDIUM .sberbank_button-logo {
    width: 22px;
    height: 22px;
    background-size: 22px;
    margin-right: 8px;
  }
  .sberbank_button.LARGE .sberbank_button-logo {
    width: 22px;
    height: 22px;
    background-size: 22px;
    margin-right: 8px;
  }
  .sberbank_button.BORDER .sberbank_button-logo {
   background-image: url(<?php echo plugins_url('/sber-id/img/sberbank_oauth_logo_2.png');?>);
  }
</style>